
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>OceanBase云平台简介 / iVAN</title>

    <meta name="description" content="OceanBase云平台简介 云计算是信息技术与服务在 交付领域 的重大进步. 由于能够以自助.动态伸缩.可计量的方式对共享计算资源池的按需访问,云计算在成本.速度和效率方面具有无与伦比的优势.云计算是这样一种模型:有了它,可以方便地随时随地按需通过网络访问共享的可配置计算资源(如网络.服务器.存储.应用程序和服务)池,且只需最少的管理工作或服务提供方交互即可快速供应和释放这些资源. 尽管AWS早在2002年就出现了,但云计算目前仍然处于其生命周期的初期, 过去几年云计算一直在推动各种技术趋势的发展与融合,这些技术趋势包括服">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">OceanBase云平台简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>云计算是信息技术与服务在 <strong>交付领域</strong> 的重大进步。 由于能够以自助、动态伸缩、可计量的方式对共享计算资源池的按需访问，云计算在成本、速度和效率方面具有无与伦比的优势。云计算是这样一种模型：有了它，可以方便地随时随地按需通过网络访问共享的可配置计算资源（如网络、服务器、存储、应用程序和服务）池，且只需最少的管理工作或服务提供方交互即可快速供应和释放这些资源。</p>
<p>尽管AWS早在2002年就出现了，但云计算目前仍然处于其生命周期的初期， 过去几年云计算一直在推动各种技术趋势的发展与融合，这些技术趋势包括服务器虚拟化、集群、服务化、大规模管理自动化等等。秉承着云计算服务化的思想， 面向开发者的各种技术设施首先被服务化，典型的如存储、数据库、消息队列、搜索引擎、并行计算等都成为了云产品，逐步建立了成熟的云计算生态。其中数据库服务(DBaaS)属于云生态中比较基础的产品。</p>
<p>OceanBase是一个自研的分布式关系型数据库，从2010年立项到现在已经发展了六年，承载了蚂蚁众多核心业务并经受了双11的考验，OceanBase主要有以下特性：</p>
<ul>
<li>可扩展，分布式系统，支持ACID、无缝扩容，兼具分布式系统与关系型数据库的优点。</li>
<li>高可用，具备多可用区部署能力， 可抵御少数可用区失败。强一致性同步，不丢失数据。</li>
<li>兼容MySQL协议。MySQL用户可以无缝切换。</li>
<li>支持多租户，在数据库进程层面作资源隔离，极高的资源整合度。</li>
<li>高性能，内存型数据库，充分利用SSD等新硬件。</li>
</ul>
<p>OceanBase的诸多特性为DBaaS提供了良好的支持，但其本身仍然只是一个数据库内核，具有很高的使用门槛，OCP(OceanBase Cloud Platform) 致力于打造基于OceanBase的数据库服务(DBaaS)，降低用户使用OceanBase的门槛及成本，为用户提供高效、稳定、易用的OceanBase数据库服务。</p>
<p>本文主要描述OCP的设计实现以及功能：</p>
<ul>
<li>云计算概述</li>
<li>数据库服务(DBaaS)的需求</li>
<li>OCP如何基于OceanBase来做数据库服务</li>
<li>OCP的使用</li>
</ul>
<h2>云计算概述</h2>
<p>NIST(美国国家标准技术研究所)对云计算描述了五个重要特征、三种服务模型和四种部署方式。</p>
<h3>五个重要特征</h3>
<ul>
<li>按需自助服务</p>
<p>用户可以根据需要供应、监视和管理计算资源，无需管理员的帮助。自助式访问为云计算带来的最大优势是响应速度，只需要几分钟(而非几周或数月)，用户就可以作好准备工作，还可以很快对计算容量作出调整。 在云计算出现以前，企业为了获取相应的IT资源，需要经过购买服务器、联系IDC、部署等各个流程，云计算极大的节省了企业前期在IT资源方面的时间与经济成本。</li>
<li>资源池化
<p>IT资源以非专用方式为多个应用程序和多个用户所共享。通过资源池化，云计算服务提供商可以通过规模化的优势来降低成本，以给用户带来更成本更低的服务。用户也可以通过在软件内部实现资源共享而节省成本。</li>
<li>快速伸缩
<p>IT资源可以按需快速伸缩。在传统方式里，扩容是一件很麻烦的事情，缩容基本上是一项不可能完成的任务，而在云计算里，扩容/缩容都可以简单的通过几个按钮或几个API来完成且即时生效。</li>
<li>按使用量收费的服务
<p>对每个应用程序和每个用户跟踪IT资源使用情况并按使用量收费，相比传统方式，用户可以大幅度减少资源浪费，降低使用成本。</li>
<li>广泛的网络访问
<p>通过标准网络和异构设备提供计算服务。</li>
</ul>
<h3>三种服务模型</h3>
<ul>
<li>软件即服务 (SaaS)</p>
<p>通常通过Web浏览器将应用程序作为服务提供给最终用户。比如小微金融云、阿里云医疗云。SaaS通常按承租方的用户数进行计费。</li>
<li>平台即服务 (PaaS)
<p>将应用程序开发和部署平台作为服务提供给开发人员以使便其使用该平台构建、部署和管理应用程序。通常包括数据库、中间件和管理工具， 比如IBM的Bluemix。</li>
<li>基础设施即服务(IaaS)
<p>作为服务提供计算服务器、存储和网络硬件。通常，这种基础架构的硬件是虚拟的。因此，虚拟化、操作系统和管理软件也是IaaS的一部份，比较著名的例子如OpenStack、EC2。</li>
</ul>
<h3>四种部署方式</h3>
<ul>
<li>私有云</p>
<p>供单个组织独家使用,通常由组织的IT部门进行控制、管理和托管。私有云的托管和运营也可能外包给第三方服务供应商,但是私有云仍为一个组织独家使用。</li>
<li>公有云
<p>供多个组织(承租方)共享使用,由第三方服务供应商托管和管理。公有云是一种外包形式。资源共享的程度不尽相同,共享的资源可以包括部分或全部的 设施、网络、存储、计算服务器、数据库、中间件和应用程序。</li>
<li>社区云
<p>供希望利用一个公共云计算环境的一组相关组织使用。例如,一个社区可 能由一些不同的军事机构、某个地区的所有大学或某个大型制造商的所有供货商所组成。比如阿里云的金融云就类似社区云的概念。</li>
<li>混合云
<p>是指单个组织对单个应用同时采用私有云和公有云以便兼具两者之优势的 情况。例如,在“云爆发”的情形中,一个组织可能在私有云上运行某个应用的稳态负载,但是当负载骤升时(例如,每个财季末或节庆季节),可以突然开始使用公有云的计算容量,当不需要这些资源时再将它们退回给池。</li>
</ul>
<h2>DBaaS</h2>
<p>数据库属于基础和专业化程度较高的IT资源，具有一定的使用门槛，在规模较大的组织，一般需要专门的DBA来部署、配置、监控及优化数据库的使用。应用开发者在使用数据库的时候也需要申请资源并提交SQL审核。 传统数据库的使用存在一些问题：</p>
<ul>
<li>部署成本高，一般需要经历采购硬件、配置硬件、部署硬件、部署数据库、配置数据库等各个环节。</li>
<li>运营成本高，数据库的运行与维护需要专门的人员，且当需求增长时需要重新配置整个体系。</li>
<li>资源利用率不佳，比如CPU、存储等资源。</li>
<li>服务较差，交付周期较长，没有明确的SLA。</li>
</ul>
<p>DBaaS意在将数据库打造为：</p>
<ul>
<li>具有前面所描述的云计算五个重要特征的服务。</li>
<li>将使用数据库所需要的专业能力以产品的形式输出，降低用户使用数据库的成本。</li>
</ul>
<p>从而使应用开发者可以自助、专注使用数据库，不需要关注数据库本身的运行状况。 DBaaS会负责数据库部署、配置、安全、扩容、容灾、监控、调优、备份等一切关于数据库本身的工作并且对应用开发者透明。DBaaS的终极目标是用户不需要关注数据库，就像通过IaaS，云用户不需要关注服务器、网络和存储一样，应用使用DBaaS，应该不需要数据库方面的专家或者雇佣专业的DBA团队。</p>
<p>根据云计算与数据库的基本特点，要实现DBaaS，我们需要关注的几个点：</p>
<ul>
<li><strong>一是自助化服务</strong>。这可以说是云产品与其它产品最根本的区别。 是云计算在交付领域所作出的巨大变革。 这意味着用户可以随时按需获取和管理资源，无需管理员的帮助。 这不是给个界面让用户点一点这么简单的事情， 而是对我们后端整套系统在功能方面是否能满足用户需求、系统是否足够稳定的全面考验。 这对OceanBase来说的挑战更大。</li>
<li><strong>二是资源池化</strong>， 这可以说是云产品的基本特征，所以现在很多人一提起云，就想到了虚拟化。资源池化我理解主要有两层意思：
<ul>
<li>一层是资源集中化管理，避免资源泛滥，让快速伸缩成为可能，通过规模优势来降低成本，提高利用率，所以这里就带来了规模化管理、提升资源利用率以及长期处于高水位运行的稳定性的问题。</li>
<li>另外一层是资源隔离和整合度的问题，资源要集中使用以扩大规模，但不能相互影响，这需要对资源进行隔离，同时又不能造成资源浪费，所以又有资源整合的要求。数据库的资源隔离一般有三种方式：
<ul>
<li>服务器隔离， 用户申请数据库的时候，会为其在专用的服务器(一般为虚拟机)上建一个专用的数据库Amazon和阿里云的RDS即采用这种形式，这种方式资源隔离级别较高，但整合度较低。</li>
<li>数据库隔离，共享一个数据库实例或进程，由数据库内部进行资源隔离，这种整合度较高，资源隔离也较好，微软的Azure采用这种形式。</li>
<li>Schema隔离， 这种形式比较受限，一般用于某个特定的SaaS，数据库层面不做资源隔离。</li>
</ul>
</li>
</ul>
<p>一般说来，不管是哪种隔离方式，用户可以申请的资源上限都受限于数据库所在的物理机的性能， 如果所需资源超出一台物理机，则需要用户进行数据分片，这就涉及到数据分布和分布式锁的问题，在扩展上无法做一透明，给用户带来的极大的不便，目前的DBaaS普遍存在这个问题。</li>
<li><strong>三是云产品有多种部署需求</strong>。不同的部署带来的是不同的托管模式，在公有云上，由公有云的提供者来托管，这一类人员往往会比较专业，比如对我们来说，可能就是我们的产品实现者自己管理，对于问题排查或故障处理有较多的经验。但对于私有云的部署，一般是由私有云所有者的IT人员来托管，这一类人员基本不具备脱离产品来排查问题的能力，这对我们产品的稳定性、管理员操作的易用性以及问题诊断是一个巨大的考验。</li>
</ul>
<h2>OceanBase Cloud Platform(OCP)</h2>
<p>做OceanBase云平台主要有两个原因，一方面然是由业务需求催生，比如我们集团、蚂蚁的业务都需要跑在云上， 另外一方面也是出于OceanBase自身需要，随着OceanBase的逐年宣传，OceanBase在业界也有了不小的知名度，常常有客户来问，我们是不是可以使用OceanBase啦， 因为作为一个才发展了五年的关系型数据库来说， 无论是在开发者社区还是在开发者认知上，和传统关系型数据库相比，都还有很大的不足， 我们可以通云产品的形式来快速弥补这个差距。</p>
<p>OceanBase的一些功能为DBaaS提供了非常好的支撑：</p>
<ul>
<li>多租户支持。OceanBase在数据库层面实现了资源隔离，让弹性扩容、缩容变得简单，同时具有很高的资源整合度。</li>
<li>可扩展。用户规格不再受物理机性能限制。</li>
<li>多可用区容灾及数据强一致，为了高可用， DBaaS一般会采用数据和节点冗余的方式，比如主备同步，但一般主备同步可能在某些情况下造成数据不一致，给用户带来麻烦。OceanBase在数据库层面解决了这个问题，以使得我们可以提供更好的DBaaS。</li>
</ul>
<p>OCP的功能设计：</p>
<p><a href="http://img3.tbcdn.cn/L1/461/1/d8433e7f1ea7a52c81ca8e380e9c21c20a4edc16" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMy50YmNkbi5jbi9MMS80NjEvMS9kODQzM2U3ZjFlYTdhNTJjODFjYThlMzgwZTljMjFjMjBhNGVkYzE2.jpg"></a></p>
<p>整个OCP一共分为三层， 最上层是用户功能层，OCP主要有两类用户：</p>
<ul>
<li>使用OceanBase作为应用程序数据库的用户，典型的比如集团的开发者，在需要使用数据库的时候，可以通过OCP来自助创建实例，查看资源使用情况以及问题诊断等，而不需要管理员或DBA介入，这里对OceanBase有一个比较大的考验，相较于传统关系型数据库来说，OceanBase还比较年轻，在功能和生态上还比较欠缺， 用户在开发阶段出现的问题不容易排查，这是OCP要重点考虑的事情。</li>
<li>云管理员，需要管理资源池，进行必要的扩容、缩容，检查风险，控制售卖情况以及异常处理。相比于开发者的需求， 云管理员的需求通常被忽略，造成在专有云难以运维的问题，OCP在这方面做了大量的功能，以解决规模化运维的问题以及保障运行稳定性。</li>
</ul>
<p>中间层为OCP服务层， 将OCP的各项功能以API的形式暴露出来， 上层功能统一使用API来完成。内部各模块以微服务的形式存在。</p>
<p>底层是数据库层，包含多可用区部署的OceanBase，以及在每台机器上部署的Agent以采集机器、网络和OceanBase的运行数据。</p>
<p>详细架构：</p>
<p><a href="http://img4.tbcdn.cn/L1/461/1/e16abdf92d63dd1f876e5d848fec5c460cd0bc2c" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nNC50YmNkbi5jbi9MMS80NjEvMS9lMTZhYmRmOTJkNjNkZDFmODc2ZTVkODQ4ZmVjNWM0NjBjZDBiYzJj.jpg"></a><br />
左边我们称之为控制链路， 主要解决用户和云管理员的自助化服务问题，右上部份数据链路，通过SLB/ObProxy提供自容灾的数据链路。 右下部份为数据分析处理平台， 通过采集实时运行信息，保障服务稳定性，提升资源利用率。</p>
<h2>如何使用</h2>
<p>OCP希望可以实现应用开发人员在日常开发、故障排查、性能监控等使用过程中的自助化，不需要管理员介入从而提升效率。同时通过规模化运维、实时信息收集、故障自动化处理、异常识别等手段来帮助管理员以更低的成本来管理大规模的集群并同时降低机器成本等。</p>
<p>我们在阿里云上的名称为云数据库OceanBase，目前还在邀请测试中， 如果你的业务需要使用OceanBase，以及有任何问题或建议，都可以联系我们。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:38:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e6%8a%80%e6%9c%af%e5%8d%8f%e4%bc%9a/" title="阿里技术协会">阿里技术协会</a>, <a href="https://www.iamivan.net/tag/oceanbase/" title="Oceanbase">Oceanbase</a>, <a href="https://www.iamivan.net/tag/ocp/" title="OCP">OCP</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>OceanBase云平台简介的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6E1nM.html" rel="bookmark">连载：基于IBM PowerVC建企业云平台&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是 :  连载:基于IBM PowerVC建企业云平台(2)  , [IT168技术]虚拟化作为云计算的基础,是目前一个重要的趋势.通过虚拟化可以提高 IT 资源和应用程序的效率和可用性.PowerVC 作为IBM新一代 Power Systems? 的企业虚拟化解决管理方案,能够提供Power Systems? 环境中的虚拟资源的管理.然而,由于各个企业有自己的业务场景和管理模式,因此当企业需要构建自己专属云平台的时候,PowerVC API给提供了基于OpenStack 标准的API			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKqvvb.html" rel="bookmark">微服务设计模式与容器云平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  11月25日,时速云联合创始人杨乐老师,在[DBA+社群]中间件用户组进行了一次主题为&quot;微服务与容器云平台&quot;的线上分享.小编特别整理出其中精华内容,供大家学习交流.同时,也非常感谢杨乐老师对DBA+社群给予的大力支持.  嘉宾简介   时速云联合创始人 主要负责时速云产品基础架构.研发和产品安全等工作 内容摘要   介绍基于Kubernetes的微服务特性,及在容器平台上所创建的容器服务其背后所具有的弹性伸缩.自启动.微服务架构等特点. 演讲实录   什么是微服务,用Martin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rgedp.html" rel="bookmark">助力银行去IOE，蚂蚁金服开放SOFA云平台发布金融云2&period;0计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				10月12日,在杭州蚂蚁金服ATEC大会上,蚂蚁金服与阿里云和南京银行签署合作协议,蚂蚁金融云携手阿里云为南京银行互联网金融业务提供技术及应用解决方案. 10月11日,蚂蚁金融云总经理刘伟光在ATEC大会上宣布了蚂蚁金融云2.0计划,发布并介绍了企业级金融级云计算平台SOFA,表示要致力于构建一个开放的技术平台,以为金融机构提供金融科技. &quot;蚂蚁金服到今年14个年头,不只是一家移动支付公司,我们的业务已经拓展到了理财.金融.普惠.消费金融等等很多新的方面,所以我们的技术也在日新月异的不断的积累.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyQ04z.html" rel="bookmark">知识学堂：几个开源云计算平台简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是知识学堂:几个开源云计算平台简介,[IT168 资讯]Abiquo公司开源产品 Abiquo公司帮助用户建立,管理以及扩展复杂的计算架构.具体开源云计算产品有三类,三种产品分别是abiCloud, abiNtense和abiData.这三种产品都可以用来架构和开发公有私有混合云,以及云应用等的基础设施. abiCloud是开源云管理软件,可以创建管理资源并且可以按需扩展. abiNtense是一个类似于Grid的架构,用来减少大量高性能计算的执行时间. abiData 由Hadoop,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLa6OM.html" rel="bookmark">《企业迁云实战》&mdash;&mdash;2&period;3　阿里云服务简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 阿里云服务简介 阿里云于2009年正式成立,现已经成为国内领先的云服务提供商.阿里云在全球各地部署高效节能的绿色数据中心,利用清洁计算支持不同的互联网应用.目前,阿里云已在杭州.北京.青岛.深圳.上海.千岛湖.内蒙古.中国香港.新加坡.美国硅谷.俄罗斯.日本,以及欧洲.中东等地设立了数据中心,未来还将设立更多新的数据中心. 阿里云目前已有上百款产品,可满足用户在云计算.大数据方面的需求,产品包括域名.备案.解析.计算.存储.网络.数据库.安全.数据分析及互联网中间件.尤其是互联网中间件产			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV914Bp.html" rel="bookmark">卓见云-助力贵州燃气集团智慧燃气云平台建设</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户及项目背景 :                                                                           贵州燃气(集团)有限责任公司是贵州省最大的集城市燃气输配.设计.施工.营销.维修为一体的综合型燃气企业,已于2017年在上海证券交易所成功上市. 伴随着集团业务的蓬勃发展,集团公司信息化程度不断提高,基本业务已全面使用信息化手段进行管理:随着公司的发展壮大.业务的快速成长,信息化对提高公司核心竞争力和经营决策也越来越重要,因此,集			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZD5d6M.html" rel="bookmark">企业私有云平台安全技术 数据存储安全策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算是一种以互联网为基础的新兴计算机应用技术,它融合了分布式计算.效用计算.并行计算.网格计算.网络存储.虚拟化等传统计算机和网络技术,形成了一整套新的标准和模式,&quot;云计算&quot;概念也迅速运用到生产环境中,各种&quot;云计算&quot;的应服务范围正日渐扩大,影响力也无可估量.通俗的讲,云计算就是让你把所有数据处理任务都交给网络来进行,由企业级数据中心负责处理客户电脑上的数据任务,这样就可以通过一个数据中心向使用多种不同设备的用户提供数据服务,从而为个人用户节省硬件资源.本文介绍的云			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdXQR6p.html" rel="bookmark">企业私有云平台安全技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算是一种以互联网为基础的新兴计算机应用技术,它融合了分布式计算.效用计算.并行计算.网格计算.网络存储.虚拟化等传统计算机和网络技术,形成了一整套新的标准和模式,&quot;云计算&quot;概念也迅速运用到生产环境中,各种&quot;云计算&quot;的应服务范围正日渐扩大,影响力也无可估量.通俗的讲,云计算就是让你把所有数据处理任务都交给网络来进行,由企业级数据中心负责处理客户电脑上的数据任务,这样就可以通过一个数据中心向使用多种不同设备的用户提供数据服务,从而为个人用户节省硬件资源.本文介绍的云			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVZPYz.html" rel="bookmark">PHP&plus;新浪微博开放平台&plus;新浪云平台（SAE）开发微博应用基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.新浪微博开放平台(http://open.weibo.com/wiki/index.php/Quickstart) 开放的是什么:开放平台开放给开发者的是每一个用户的用户关系,开发者不在向传统应用那样面对单个开发者而是面对用户身后的整个好友圈.每一个API都是围绕好友与好友之间的交流来提供相关的功能,如发送微博,查看好友资料等等. 为什么要使用开放平台?开放平台可以加快应用的推广.每个用户可以影响到周围的好友,一旦应用真的优秀,用户可以方便的推荐给好友,好友又可以再推荐给他的好友.开放平台让			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn4n0b.html" rel="bookmark" class="title">insert-jsp语言如何连接mysql数据库</a>
					<div>
						问题描述 jsp语言如何连接mysql数据库 jsp语言如何连接mysql数据库,进行表的增删改查?OA系统设计连接数据库,mysql驱动包在哪儿下载? 解决方案 在页面嵌入脚本代码,然后和在java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj0A6p.html" rel="bookmark" class="title">NUnit 在VS&period;NET 2003上的插件&period;</a>
					<div>
						NUnit 在VS.NET 2003上的插件. VSNUnit2k3是Sourceforge上的一个开源软件,通过这个插件,能使我们VS.NET的IDE中直接使用单元测试工具,,不用去来回的切换了哦~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmaw1p.html" rel="bookmark" class="title">AIX软件包理论与实践</a>
					<div>
						AIX操作系统可以安装包括rpm及installp格式的软件包.其中installp是AIX系统特有的软件包格式, 它提供了强大的管理能力,但是,同时它也包含了很多容易混淆的概念(如fileset,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj39np.html" rel="bookmark" class="title">第九章-Delphi拖放编程&lpar;4&rpar;</a>
					<div>
						9.3 拖放应用实例:文件管理器的拖放支持 在第六章最后开发的文件管理器应用实例,虽然功能上已初具规模,但在操作上与Windows的文件管理器相比还有很大不足.其中最大的缺陷是它不支持文件的拖放移动和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB24wNb.html" rel="bookmark" class="title">使用Java制作多点发送程序</a>
					<div>
						IP协议是Internet上所有信息的传播手段,UDP(User Datagram Protocol,用户数据报协议)数据报被封装在IP包中,发送到网络上适当的机器.众所周知,大多数IP使用单点发送, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYY50b.html" rel="bookmark" class="title">解决jquery中美元符号命名冲突问题</a>
					<div>
						 在Jquery中,$是JQuery的别名,所有使用$的地方也都可以使用JQuery来替换,下面为大家介绍下如何解决jquery中美元符号命名冲突问题 在Jquery中,$是JQuery的别名,所有使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ek1Nb.html" rel="bookmark" class="title">神器之PS精确查找</a>
					<div>
						  此功能为很多PS爱好者解决了很大的麻烦---调色,有很多同仁会PS,但是在色彩的把握上还是有一些欠缺,不知如何调节,精确查找可以快速得到想要的效果! 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm558z.html" rel="bookmark" class="title">新浪微博登录的时候为什么要输入验证码&quest;</a>
					<div>
						  为了提高您的帐户安全性,未设置登录保护和在登录保护地方之外登录的用户都会提示您输入验证码,您只需要直接输入验证码就可以正常使用微博啦.您可以自行设置登录保护地,设置地址:http://accoun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRoOlp.html" rel="bookmark" class="title">程序员对内存的理解&lpar;转&rpar;</a>
					<div>
						在C和C++语言开发中,指针.内存一直是学习的重点.因为C语言作为一种偏底层的中低级语言,提供了大量的内存直接操作的方法,这一方面使程序的灵活度最大化,同时也为bug埋下很多隐患. 因此,无论如何,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZxwKb.html" rel="bookmark" class="title">我拷贝大文件的时候报&OpenCurlyDoubleQuote;超过文件大小限制&rdquo;错误，怎样突破这个限制？</a>
					<div>
						解决方法: 使用下面命令查看系统设定的用户限制: ulimit -a 得到类似于下面的输出: $ ulimit -a core file size (blocks, -c) 0 data seg si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32qGmz.html" rel="bookmark" class="title">另眼相看&OpenCurlyDoubleQuote;那些争议最大的编程观点&rdquo;</a>
					<div>
						另眼相看&quot;那些争议最大的编程观点&quot; 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NL6az.html" rel="bookmark" class="title">thinkphp无法加载模块-thinkPHP3&period;2&period;3不能用啊</a>
					<div>
						问题描述 thinkPHP3.2.3不能用啊 有没有人懂PHP的,我用xampp1.8.5 PHP版本应该挺高的为什么用thinkPHP3.2.3还是提示require PHP&gt;5.3.0 !  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PODop.html" rel="bookmark" class="title">exe-请问下这样的程序怎么写</a>
					<div>
						问题描述 请问下这样的程序怎么写 写一个程序,然后桌面快捷方式指向我的exe,这样双击快捷方式的时候就会启动我的exe,然后由我的exe来启动主程序.同时我的exe也monitor主程序,主程序退出了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmZmWz.html" rel="bookmark" class="title">指针-为啥C&plus;&plus;字符数组存字符串出错？</a>
					<div>
						问题描述 为啥C++字符数组存字符串出错? 代码如下: char *tupiandizhi[3]; for(int u=0; u&lt;3 ; u++) { char ch2[30]; sprintf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKBeRb.html" rel="bookmark" class="title">matlab上使用gui时， 加载图像加载不出，好像是图像路径的错误，试了几张图也不行</a>
					<div>
						问题描述 matlab上使用gui时, 加载图像加载不出,好像是图像路径的错误,试了几张图也不行 解决方案 http://zhidao.baidu.com/link?url=1wMAV1NZgvw3s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94ddKb.html" rel="bookmark" class="title">检查mysql是否成功启动的方法&lpar;bat&plus;bash&rpar;&lowbar;Mysql</a>
					<div>
						很多朋友更喜欢windows下面的可以参考下面的代码 第一种方法:也比较普遍的方法,包括rsync.serv_u等都可以,通过查找进程中的exe文件,例如mysql就是mysqld.exe @echo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw2o8M.html" rel="bookmark" class="title">小米回应发布会直播数据造假传闻</a>
					<div>
						在7月25日的中午,对于有http://www.aliyun.com/zixun/aggregation/894.html&quot;&gt;媒体报道指出小米的发布会直播2亿人观看实为虚假数据,而真实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE3KvM.html" rel="bookmark" class="title">c&plus;&plus;数据结构快速排序用栈实现</a>
					<div>
						问题描述 c++数据结构快速排序用栈实现 已知快速排序的部分代码如下,勿改动,请利用栈实现快速排序非递归函数:void QuickSort(); //quickSort #include using  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12q5xp.html" rel="bookmark" class="title">苹果飞船外形新总部获库珀蒂诺市长首肯&lpar;图&rpar;</a>
					<div>
						苹果飞船外形新总部效果图 北京时间6月10日上午消息,加州库珀蒂诺市长吉尔伯特·黄(Gilbert Wong)周三透露,肯定会批准苹果新总部的建设计划. 苹果即将建设一个外形酷似飞船的新总部,规模堪比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44WKLz.html" rel="bookmark" class="title">js确定对象类型方法&lowbar;javascript技巧</a>
					<div>
						1.typeof 支持基本类型的获取,比如:boolean.string.number.function.object.undefined 用法: var v = true;//&quot;strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOVnJb.html" rel="bookmark" class="title">php学习之数据类型之间的转换代码&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: /*数据类型之间相互转换 * 一种是强制转换 * setType(变量,类型); //int,integer,float,double等等. * 这个函数将原变量的类型改变,用v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkx7OM.html" rel="bookmark" class="title">php编写批量生成不重复的卡号密码代码&lowbar;php技巧</a>
					<div>
						闲的蛋疼的时候,顺便加强下自己对PHP中数组操纵的一些技巧,就写了下面的一段小代码,可以随机生成卡号密码对应的数组,并且自动去重复,思路没有,纯粹瞎掰. &lt;?php header('Conten ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYwA5b.html" rel="bookmark" class="title">嵌入式 uboot、fs、kernel制作和烧录简记-hi3518c</a>
					<div>
						NULL RAM : mkdir ramdisk_test  临时挂在点 dd if=/dev/zero of=rootfs.ramdisk bs=1k count=10000 建立空硬盘//1500 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWnP5p.html" rel="bookmark" class="title">网络社交的3个中国时代</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 Chinaren时代 未能独立发展 对于新生事物接受度较高的大学生是当时网民最主要的构成者,而&quot;时间多过金钱&quot;的大学生人群也因此成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWkEQp.html" rel="bookmark" class="title">You &lpar;root&rpar; are not allowed to access to &lpar;crontab&rpar; because of pam configuration</a>
					<div>
						巡检发现一台Linux服务器上的作业没有如期发送邮件,登录服务器检查后发现作业并没有执行,于是检查一下crontab的设置.结果发现如下错误:   [root@mylnx2 ~]# crontab - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GvY4M.html" rel="bookmark" class="title">sql 判断字符串中是否包含数字和字母的方法&lowbar;MsSql</a>
					<div>
						判断是否含有字母 select PATINDEX('%[A-Za-z]%', 'ads23432')=0 (如果存在字母,结果&gt;1) 判断是否含有数字 PATINDEX('%[0-9]%', ' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenAl8b.html" rel="bookmark" class="title">国美创新营销模式引瞩目网上商城增速达600&percnt;</a>
					<div>
						随着网络购物的兴起,家电网购市场也迎来了空前繁荣的时期,同时家电网购市场的竞争也进入了白热化阶段,国美(微博)创新的营销模式引起家电市场的轩然大波. 2011年上半年,在B2C综合购物网站业务扩张的同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvqr45b.html" rel="bookmark" class="title">千千静听更名百度音乐 十年品牌结束</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 千千静听更名百度音乐 新浪科技讯  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQawmob.html" rel="bookmark" class="title">瑞星发力高端企业级市场</a>
					<div>
						本报讯日前,瑞星公司宣布一举夺得福建高法大单,该项目是福建省及华南区近年来最大的网络安全软件采购项目,为保证福建全省法院审判工作的顺利开展,瑞星杀毒软件网络版为福建全省.市.县的法院系统提供安全保障. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkZxBEM.html" rel="bookmark" class="title">Android 取得状态栏、任务栏高度的小例子&lowbar;Android</a>
					<div>
						复制代码 代码如下: package com.aslibra.test; import android.app.Activity; import android.graphics.Rect; impo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
